Unikraft Cloud user accounts are used to manage resources, grant permissions and control usage quotas when interacting with the Unikraft Cloud API.
Add Users
Create new user accounts. This will return 409 Conflict when any of the requested users already existed on the target.
Add Users › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
A list of errors which may have occurred during the request.
The response data for this request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.
Get Current User Quotas
List quota usage and limits of your user account. Limits are hard limits that cannot be exceeded.
Get Current User Quotas › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.
Get User Quotas by UUID
List quota usage and limits of a user account by UUID. Limits are hard limits that cannot be exceeded.
path Parameters
uuidThe UUID of the user to retrieve quotas for.
Get User Quotas by UUID › Responses
default
statusThe status of the response.
messageAn optional message providing additional information about the status.
This field is useful when the status is not success.
The response data for this request.
A list of errors which may have occurred during the request.
op_time_usThe operation time in microseconds. This is the time it took to process the request and generate the response.